com.independentsoft.exchange

## Enum CallState

- java.lang.Object
- - java.lang.Enum<CallState>
  - - com.independentsoft.exchange.CallState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CallState>

      public enum CallState
      extends java.lang.Enum<CallState>

  Contains a value that indicates the status of a call.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALERTED` Alerted.
    `CONNECTED` Connected.
    `CONNECTING` Connecting.
    `DISCONNECTED` Disconnected.
    `FORWARDING` Forwarding.
    `IDLE` Idle.
    `INCOMING` Incoming.
    `TRANSFERRING` Transferring.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CallState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CallState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IDLE

          public static final CallState IDLE

      Idle.

    - #### CONNECTING

          public static final CallState CONNECTING

      Connecting.

    - #### ALERTED

          public static final CallState ALERTED

      Alerted.

    - #### CONNECTED

          public static final CallState CONNECTED

      Connected.

    - #### DISCONNECTED

          public static final CallState DISCONNECTED

      Disconnected.

    - #### INCOMING

          public static final CallState INCOMING

      Incoming.

    - #### TRANSFERRING

          public static final CallState TRANSFERRING

      Transferring.

    - #### FORWARDING

          public static final CallState FORWARDING

      Forwarding.

  - ### Method Detail

    - #### values

          public static CallState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CallState c : CallState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CallState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null